Debian Bug report logs - #575260
RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Wed, 24 Mar 2010 15:36:05 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dapal@debian.org, acornet@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Wed, 24 Mar 2010 15:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to dapal@debian.org, acornet@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 24 Mar 2010 15:36:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: submit@bugs.debian.org
Subject: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Wed, 24 Mar 2010 15:34:56 +0000
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: rm
Severity: normal

Dear release team,
  I've been investigating the status of bash-completion-lib, which is currently
RC buggy and, more generally, not suitable for a release (e.g. total
lack of any documentation).

Additionally, and thanks to David Paleino (Cc-ed), I've checked with upstream
that bash-completion-lib, while not yet abandoned, is currently not being
developed and his upstream is contributing all his work on the more mainstream
bash-completion package.  Upstream plans to drop bash-completion-lib anyhow in
the future once the "load by need" feature will be part of
bash-completion. Considering that bash-completion-lib has never been part of a
stable release, that the maintainer has not replied to its RC bugs, and
comparing the popcon of bash-completion{,-lib}, I hereby request it to be
removed from testing.

In fact, I think it should be even removed from the archive completely, but I'd
like the maintainer (Cc-ed as well) to voice his opinion on that more drastic
measure.

Cheers.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Wed, 24 Mar 2010 16:33:18 GMT) Full text and rfc822 format available.

Notification sent to Stefano Zacchiroli <zack@debian.org>:
Bug acknowledged by developer. (Wed, 24 Mar 2010 16:33:18 GMT) Full text and rfc822 format available.

Message #10 received at 575260-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Stefano Zacchiroli" <zack@debian.org>, 575260-done@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Wed, 24 Mar 2010 16:32:28 -0000
On Wed, March 24, 2010 15:34, Stefano Zacchiroli wrote:
>  I've been investigating the status of bash-completion-lib, which is
> currently RC buggy and, more generally, not suitable for a release (e.g.
> total lack of any documentation).
[...]
> Considering that bash-completion-lib has never been part
> of a stable release, that the maintainer has not replied to its RC bugs,
and
> comparing the popcon of bash-completion{,-lib}, I hereby request it to be
> removed from testing.

Removal hint added.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Wed, 24 Mar 2010 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@upsilon.cc>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 24 Mar 2010 19:00:06 GMT) Full text and rfc822 format available.

Message #15 received at 575260@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@upsilon.cc>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 575260@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Wed, 24 Mar 2010 19:56:04 +0100
----- Original message -----
> > comparing the popcon of bash-completion{,-lib}, I hereby request it to be
> > removed from testing.
>
> Removal hint added.

Thanks!
Cheers.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Thu, 25 Mar 2010 15:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Cornet <nohar@t1r.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 25 Mar 2010 15:00:05 GMT) Full text and rfc822 format available.

Message #20 received at 575260@bugs.debian.org (full text, mbox):

From: Arnaud Cornet <nohar@t1r.net>
To: Stefano Zacchiroli <zack@debian.org>, 575260@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Thu, 25 Mar 2010 14:48:26 +0000
> In fact, I think it should be even removed from the archive completely, but I'd
> like the maintainer (Cc-ed as well) to voice his opinion on that more drastic
> measure.

Agreed.

Cheers,
-- 
Arnaud Cornet




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Thu, 25 Mar 2010 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 25 Mar 2010 15:03:07 GMT) Full text and rfc822 format available.

Message #25 received at 575260@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Arnaud Cornet <nohar@t1r.net>
Cc: 575260@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Thu, 25 Mar 2010 16:00:15 +0100
On Thu, Mar 25, 2010 at 02:48:26PM +0000, Arnaud Cornet wrote:
> >In fact, I think it should be even removed from the archive completely, but I'd
> >like the maintainer (Cc-ed as well) to voice his opinion on that more drastic
> >measure.
> 
> Agreed.

Heya, thanks for your feedback.
Are you going to submit the RM request by yourself or should I?

TIA,
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Fri, 26 Mar 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Cornet <nohar@t1r.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 26 Mar 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 575260@bugs.debian.org (full text, mbox):

From: Arnaud Cornet <nohar@t1r.net>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 575260@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Fri, 26 Mar 2010 10:30:56 +0000
Stefano Zacchiroli wrote:
> Heya, thanks for your feedback.
> Are you going to submit the RM request by yourself or should I?

If you're willing to do it, it's greatly appreciated. Otherwise I'll do 
it when I get a bit more time.

Cheers,




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#575260; Package release.debian.org. (Fri, 26 Mar 2010 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 26 Mar 2010 11:15:06 GMT) Full text and rfc822 format available.

Message #35 received at 575260@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Arnaud Cornet <nohar@t1r.net>
Cc: 575260@bugs.debian.org
Subject: Re: Bug#575260: RM: bash-completion-lib/1.3.1-2 -- RoQA; not in stable, RC buggy, not currently in development
Date: Fri, 26 Mar 2010 12:13:49 +0100
On Fri, Mar 26, 2010 at 10:30:56AM +0000, Arnaud Cornet wrote:
> If you're willing to do it, it's greatly appreciated. Otherwise I'll
> do it when I get a bit more time.

I've just filed the RM request, you are Cc-ed in the request.

Thanks for your feedback,
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Apr 2010 07:32:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:49:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.